/**
 * Autoconfiguration via GULP tasks
 */

( function() {
  'use strict';

  angular
    .module( 'lng' )
    .constant( 'ENDPOINTS', {
      lng: {
        ENDPOINT: 'https://webapp-lng.kpler.com/api',
        TEAMBOARD: 'https://webapp-lng.kpler.com/teamboard',
        COMMODITY: 'LNG'
      },
      lpg: {
        ENDPOINT: 'https://webapp-lpg.kpler.com/api',
        TEAMBOARD: 'https://webapp-lpg.kpler.com/teamboard',
        COMMODITY: 'LPG'
      },
      oil: {
        ENDPOINT: 'https://webapp-oil.kpler.com/api',
        COMMODITY: 'OIL'
      }
    } )
    .constant( 'VERSION', {
      number: '4.3.0',
      date: '2020-04-27T11:59:31.755Z'
    } );
} )();
