/**
 * ROUTE: default redirection
 * @author Fabien Vauchelles <fabien@vauchelles.com>
 */

( function() {
  'use strict';


  angular
    .module( 'lng' )
    .config( Routing );

  function Routing( $urlRouterProvider, $ionicConfigProvider ) {
    $urlRouterProvider.otherwise( '/start' );
    $ionicConfigProvider.backButton.text( '' );
    $ionicConfigProvider.views.maxCache( 0 );
    $ionicConfigProvider.views.swipeBackEnabled( false );
    $ionicConfigProvider.spinner.icon( 'lines' );
    $ionicConfigProvider.tabs.position( 'bottom' );
    $ionicConfigProvider.navBar.alignTitle( 'center' );
  }

} )();
