/**
 * ROUTE: map
 * @author Fabien Vauchelles <fabien@vauchelles.com>
 */

( function() {
  'use strict';


  angular
    .module( 'lng' )
    .config( Routing );

  function Routing( $stateProvider ) {
    $stateProvider
      .state( 'session.map', {
        url: '/map',
        cache: false,
        views: {
          map: {
            templateUrl: 'app/session/map/map.html',
            controller: 'HomeMapController as $ctrl'
          }
        },
        data: { requireAuth: true }
      } );
  }

} )();
