/**
 * ROUTE: player
 */
( function() {
  'use strict';


  angular
    .module( 'lng' )
    .config( Routing );

  function Routing( $stateProvider ) {
    $stateProvider
      .state( 'session.player', {
        url: '/player/:itemId',
        data: { requireAuth: true },
        views: {
          player: {
            templateUrl: 'app/session/player/player.html',
            controller: 'PlayerController as vm'
          }
        }
      } );
  }

} )();
