/**
 * ROUTE: teamboard
 * @author Fabien Vauchelles <fabien@vauchelles.com>
 */

( function() {
  'use strict';


  angular
    .module( 'lng' )
    .config( Routing );

  function Routing( $stateProvider ) {
    $stateProvider
      .state( 'session.teamboard', {
        url: '/teamboard',
        cache: false,
        views: {
          teamboard: {
            templateUrl: 'app/session/teamboard/teamboard.html',
            controller: 'TeamboardController as $ctrl'
          }
        },
        data: { requireAuth: true }
      } );

  }

} )();
