/**
 * SERVICE: TrackService
 * @author Fabien Vauchelles <fabien@vauchelles.com>
 */

( function() {
  'use strict';


  angular
    .module( 'lng' )
    .factory( 'TrackService', TrackService );

  function TrackService( VERSION ) {
    var factory = {
      track: track
    };

    return factory;


    ////////////

    function track( options ) {
      var opts = {
        mobile: VERSION.number + ' (historical)'
      };
      _.extend( opts, options );
      analytics.track( 'mobile', opts );
    }
  }

} )();
