/**
 * HELPER itemIcon
 * @author Yoann
 */

( function( global ) {
  'use strict';

  global.itemIconHelper = ( global.module || {} ).exports = {
    get: get
  };

  ////////////

  function get( item ) {
    var resType = item.resourceType;

    if ( resType === 'vessel' ) {
      return 'fa-lng-vessel';
    }

    if ( resType === 'installation' ) {
      switch ( global.installationHelper.getMainType( item.type ) ) {
        case 'Export':
          return 'fa-lng-export';
        case 'Import':
          return 'fa-lng-import';
        case 'Shipyard':
          return 'fa-lng-shipyard';
        case 'Anchorage':
          return 'fa-lng-anchorage';
        default:
          return '';
      }
    }

    if ( resType === 'zone' ) {
      return 'fa-lng-zone';
    }
  }

} )( this );
