/**
 * DIRECTIVE: lngMapVessel
 * @author Fabien Vauchelles <fabien@vauchelles.com>
 */

( function() {
  'use strict';


  angular
    .module( 'lng' )
    .directive( 'lngMap', lngMap );

  function lngMap( LngMapCacheService ) {

    var directive = {
      restrict: 'E',
      scope: {},
      link: linkFunc
    };

    return directive;

    ////////////

    function linkFunc( scope, element ) {

      // create map
      var container = LngMapCacheService.getContainer();
      element.append( container );
      scope.$on( '$destroy', function() { container.remove(); } );

    }
  }

} )();
