/**
 * TRANSFORM: Percentage
 * @author Fabien Vauchelles <fabien@vauchelles.com>
 */

( function() {
  'use strict';


  angular
    .module( 'lng' )
    .filter( 'percentage', percentage );

  function percentage() {
    return percentageFunc;


    ////////////

    function percentageFunc( input, precision ) {

      var mult,
        rounded;

      if ( !input ) {
        return '-';
      }

      precision = precision | 2;
      mult = Math.pow( 10, precision );
      rounded = Math.round( input * 100 * mult ) / mult;

      return rounded + '%';
    }
  }

} )();
