/**
 * TRANSFORM: Empty
 * @author Fabien Vauchelles <fabien@vauchelles.com>
 */

( function() {
  'use strict';


  angular
    .module( 'lng' )
    .filter( 'empty', empty );

  function empty() {
    return emptyFunc;


    ////////////

    function emptyFunc( input, fallback, suffix, prefix ) {
      if ( !input ) {
        if ( fallback ) {
          return fallback;
        } else {
          return '-';
        }
      }

      if ( suffix ) {
        if ( prefix ) {
          return prefix + input + suffix;
        } else {
          return input + suffix;
        }
      } else {
        return input;
      }
    }
  }

} )();
