/**
 * ROUTE: login
 */

( function() {
  'use strict';


  angular
    .module( 'lng' )
    .config( Routing );

  function Routing( $stateProvider ) {
    $stateProvider
      .state( 'login', {
        url: '/login',
        cache: false,
        data: { requireAuth: false },
        templateUrl: 'app/login/login.html',
        resolve: {
          currentCommo: function( MulticommoService ) { return MulticommoService.getCurrentCommodity(); }
        },
        controller: 'LoginController as $ctrl'
      } );

  }

} )();
