/**
 * ROUTE: installation
 * @author  Jin
 */
( function() {
  'use strict';


  angular
    .module( 'lng' )
    .config( Routing );

  function Routing( $stateProvider ) {
    $stateProvider
      .state( 'session.installation', {
        url: '/installation/:itemId',
        data: {
          requireAuth: true
        },
        views: {
          installation: {
            templateUrl: 'app/session/installation/installation.html',
            controller: 'InstallationController as vm'
          }
        }
      } );
  }

} )();
