/**
 * FILTER: resourceTypeTextPlural
 * @author Fabien Vauchelles <fabien@vauchelles.com>
 */

( function() {
  'use strict';


  angular
    .module( 'lng' )
    .filter( 'resourceTypeTextPlural', resourceTypeTextPlural );

  function resourceTypeTextPlural( $filter ) {
    return function( txt ) {
      return $filter( 'translate' )( '_COMMON.RESOURCE_TYPE.' + txt.toUpperCase() + 'S' );
    };
  }

} )();
