/**
 * ROUTE: search
 * @author Fabien Vauchelles <fabien@vauchelles.com>
 */

( function() {
  'use strict';


  angular
    .module( 'lng' )
    .config( Routing );

  function Routing( $stateProvider ) {
    $stateProvider
      .state( 'session.search', {
        url: '/search',
        views: {
          search: {
            templateUrl: 'app/session/search/search.html',
            controller: 'SearchController as $ctrl'
          }
        },
        data: { requireAuth: true }
      } );

  }

} )();
