/**
 * ROUTE: vessel
 * @author Fabien Vauchelles <fabien@vauchelles.com>
 */

( function() {
  'use strict';


  angular
    .module( 'lng' )
    .config( Routing );

  function Routing( $stateProvider ) {
    $stateProvider.state( 'session.vessel', {
      url: '/vessel/:itemId',
      data: { requireAuth: true },
      views: {
        vessel: {
          templateUrl: 'app/session/vessel/vessel.html',
          controller: 'VesselController as vm'
        }
      }
    } );
  }

} )();
