/**
 * ROUTE: voygaeCalculator
 * @author Fabien Vauchelles <fabien@vauchelles.com>
 */

( function() {
  'use strict';


  angular
    .module( 'lng' )
    .config( Routing );

  function Routing( $stateProvider ) {
    $stateProvider
      .state( 'session.voyage-calculator', {
        url: '/voyage-calculator',
        views: {
          'voyage-calc': {
            templateUrl: 'app/session/voyage-calculator/voyage-calculator.html',
            controller: 'VoyageCalculatorController as $ctrl'
          }
        },
        data: { requireAuth: true }
      } );

  }

} )();
