/**
 * ROUTE: zone
 */
( function() {
  'use strict';


  angular
    .module( 'lng' )
    .config( Routing );

  function Routing( $stateProvider ) {
    $stateProvider
      .state( 'session.zone', {
        url: '/zone/:itemId',
        data: { requireAuth: true },
        views: {
          zone: {
            templateUrl: 'app/session/zone/zone.html',
            controller: 'ZoneController as vm'
          }
        }
      } );
  }

} )();
