/**
 * DIRECTIVE: tabsClick
 * @author Yoann
 */

( function() {
  'use strict';


  angular
    .module( 'lng' )
    .directive( 'tabsClick', tabsClick );

  function tabsClick( $parse ) {
    var directive = {
      restrict: 'A',
      link: linkFunc
    };

    return directive;


    ////////////

    function linkFunc( scope, el, attrs ) {
      var children = el.children(),
        i = 0,
        len = children.length;

      for ( i; i < len; i++ ) {
        bindClick( children[ i ], i );
      }

      ////////////

      function bindClick( item, index ) {
        angular
          .element( item )
          .bind( 'click', function() {
            $parse( attrs.tabsClick )( scope, {
              $index: index
            } );
          } );
      }

    }
  }

} )();
